MbeansDescriptorsSerSource (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.modeler.modules.MbeansDescriptorsSerSource class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler.modules
Class MbeansDescriptorsSerSource

    java.lang.Object
      org.apache.tomcat.util.modeler.modules.ModelerSource
          org.apache.tomcat.util.modeler.modules.MbeansDescriptorsSerSource

    public class MbeansDescriptorsSerSource

extends ModelerSource

Constructor Summary
`MbeansDescriptorsSerSource()`

Method Summary
`void` | `execute()`
`java.util.List` | `loadDescriptors(Registry registry, java.lang.String location, java.lang.String type, java.lang.Object source)` Load data, returns a list of items.
`void` | `setLocation(java.lang.String loc)`
`void` | `setRegistry(Registry reg)`
`void` | `setSource(java.lang.Object source)`
`void` | `setType(java.lang.String type)` Used if a single component is loaded

Methods inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource
`getInputStream, store, updateField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MbeansDescriptorsSerSource

    public MbeansDescriptorsSerSource()

Method Detail

### setRegistry

    public void setRegistry(Registry reg)

### setLocation

    public void setLocation(java.lang.String loc)

### setType

    public void setType(java.lang.String type)

  Used if a single component is loaded

  Parameters:
    `type` -

### setSource

    public void setSource(java.lang.Object source)

### loadDescriptors

    public java.util.List loadDescriptors(Registry registry,
                                          java.lang.String location,
                                          java.lang.String type,
                                          java.lang.Object source)
                                   throws java.lang.Exception

  Description copied from class: `ModelerSource`
  Load data, returns a list of items.

  Overrides:
    `loadDescriptors` in class `ModelerSource`
    `source` - Introspected object or some other source
  Throws:
    `java.lang.Exception`

### execute

    public void execute()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.